Skip to content
Start here

Create an Account

POST/accounts

Create an Account. To create the Account within an Organization, provide unit.id and omit standalone. To create a standalone Free Account, provide standalone: true and omit unit. Providing both fields is invalid. If you omit both fields, Cloudflare can determine the destination only when the User is an administrator of exactly one Organization. Cloudflare creates the Account in that Organization; otherwise, the request returns an error.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Header ParametersExpand Collapse
"Idempotency-Key": optional string
maxLength128
minLength1
Body ParametersJSONExpand Collapse
name: string

Account name

standalone: optional true

Set to true and omit unit to create a standalone Free Account. If provided, this field must be true.

type: optional "standard" or "enterprise"
One of the following:
"standard"
"enterprise"
unit: optional object { id }

Information related to the tenant unit. Provide its ID and omit standalone to create the Account within an Organization. See https://api-docs.dnstools.im/tenant/how-to/manage-accounts/.

id: optional string

Tenant unit ID

ReturnsExpand Collapse
errors: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
success: true

Whether the API call was successful.

result: optional Account { id, name, type, 3 more }
id: string

Identifier

maxLength32
minLength32
name: string

Account name

maxLength100
type: "standard" or "enterprise"
One of the following:
"standard"
"enterprise"
created_on: optional string

Timestamp for the creation of the account

formatdate-time
managed_by: optional object { parent_org_id, parent_org_name }

Parent container details

parent_org_id: optional string

ID of the parent Organization, if one exists

maxLength32
parent_org_name: optional string

Name of the parent Organization, if one exists

settings: optional object { abuse_contact_email, enforce_twofactor }

Account settings

abuse_contact_email: optional string

Sets an abuse contact email to notify for abuse reports.

enforce_twofactor: optional boolean

Indicates whether membership in this account requires that Two-Factor Authentication is enabled

Create an Account

curl https://api.cloudflare.com/client/v4/accounts \
    -H 'Content-Type: application/json' \
    -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
    -H "X-Auth-Key: $CLOUDFLARE_API_KEY" \
    -d '{
          "name": "name"
        }'
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "name": "Demo Account",
    "type": "standard",
    "created_on": "2014-03-01T12:21:02Z",
    "managed_by": {
      "parent_org_id": "4536bcfad5faccb111b47003c79917fa",
      "parent_org_name": "Demo Parent Organization"
    },
    "settings": {
      "abuse_contact_email": "abuse_contact_email",
      "enforce_twofactor": true
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "name": "Demo Account",
    "type": "standard",
    "created_on": "2014-03-01T12:21:02Z",
    "managed_by": {
      "parent_org_id": "4536bcfad5faccb111b47003c79917fa",
      "parent_org_name": "Demo Parent Organization"
    },
    "settings": {
      "abuse_contact_email": "abuse_contact_email",
      "enforce_twofactor": true
    }
  }
}